// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.android.libraries.places.ktx.model

import com.google.android.libraries.places.api.model.AddressComponents
import com.google.android.libraries.places.ktx.api.model.addressComponent
import com.google.android.libraries.places.ktx.api.model.place
import org.junit.Assert.assertEquals
import org.junit.Test

internal class PlaceTest {

    @Test
    fun testBuilder() {
        val place = place {
            setAddress("address")
            setAddressComponents(AddressComponents.newInstance(
                listOf(
                    addressComponent("Main Street", listOf("street_address")) {
                        setShortName("Main St.")
                    }
                )
            ))
        }
        assertEquals("address", place.address)
        assertEquals(AddressComponents.newInstance(
            listOf(
                addressComponent("Main Street", listOf("street_address")) {
                    setShortName("Main St.")
                }
            )
        ), place.addressComponents)
    }
}